#!/bin/sh

VCSHOME="${VCS_HOME:-/opt/VRTSvcs}"
ro=`${VCSHOME}/bin/haclus -value ReadOnly`
if [ $ro -eq 1 ];
then
        ${VCSHOME}/bin/haconf -makerw
fi

${VCSHOME}/bin/hatype -add HTC
${VCSHOME}/bin/hatype -modify HTC SupportedActions localtakeover pairresync pairresync-swaps pairdisplay vxdiske
${VCSHOME}/bin/hatype -modify HTC InfoInterval 300
${VCSHOME}/bin/hatype -modify HTC ArgList BaseDir GroupName Instance SplitTakeover LinkMonitor
${VCSHOME}/bin/haattr -add HTC BaseDir -string "/HORCM/usr/bin"
${VCSHOME}/bin/haattr -add HTC GroupName -string
${VCSHOME}/bin/haattr -add HTC Instance -integer
${VCSHOME}/bin/haattr -add HTC SplitTakeover -integer 
${VCSHOME}/bin/haattr -add HTC LinkMonitor -integer 
${VCSHOME}/bin/haattr -add -temp HTC VCSResLock -string
${VCSHOME}/bin/haattr -add -temp HTC TargetFrozen -string
${VCSHOME}/bin/hatype -add HTCSnap
${VCSHOME}/bin/hatype -modify HTCSnap SupportedActions clearvm
${VCSHOME}/bin/hatype -modify HTCSnap ArgList TargetResName MountSnapshot UseSnapshot RequireSnapshot ShadowInstance
${VCSHOME}/bin/haattr -add HTCSnap TargetResName -string
${VCSHOME}/bin/haattr -add HTCSnap ShadowInstance -integer
${VCSHOME}/bin/haattr -add HTCSnap MountSnapshot -integer
${VCSHOME}/bin/haattr -add HTCSnap UseSnapshot -integer
${VCSHOME}/bin/haattr -add HTCSnap RequireSnapshot -integer
${VCSHOME}/bin/haattr -add -temp HTCSnap Responsibility -string
${VCSHOME}/bin/haattr -add -temp HTCSnap FDFile -string
${VCSHOME}/bin/haattr -add -static HTCSnap RegList -keylist MountSnapshot UseSnapshot
if [ $ro -eq 1 ];
then
        ${VCSHOME}/bin/haconf -dump -makero
else
        ${VCSHOME}/bin/haconf -dump
fi

